Skip to main content
GET
/
v1
/
deposits
/
{id}
/
charges
List all deposit charges
curl --request GET \
  --url https://api.yorlet.com/v1/deposits/{id}/charges \
  --header 'Authorization: <api-key>'
{
  "count": 1,
  "has_more": false,
  "object": "list",
  "data": [
    {
      "id": "<string>",
      "created": 123,
      "object": "deposit_charge",
      "accepted_at": 123,
      "amount": 123,
      "canceled_at": 123,
      "currency": "<string>",
      "customer_declaration": {
        "date": 123,
        "ip": "<string>"
      },
      "deposit": "<string>",
      "description": "<string>",
      "destination": "<string>",
      "dispute": {
        "comments": "<string>",
        "counter_amount": 1
      },
      "disputed_at": 123,
      "account": "<string>",
      "deleted": false,
      "accepted": false,
      "canceled": false,
      "disputed": false,
      "metadata": {},
      "original_amount": 0
    }
  ]
}

Authorizations

Authorization
string
header
required

API Key authentication. Use "Bearer YOUR_API_KEY".

Path Parameters

id
string
required

The id identifier.

Response

200 - application/json

A object with a data property that contains an array of Deposit Charge objects.

count
number
required

Total number of items in the list.

Example:

1

has_more
boolean
required

Whether more items are available.

Example:

false

object
enum<string>
required
Available options:
list
data
object[]
required